--- title: "getJobExecution" slug: "analytics-dataflow-getjobexecutionbyid" updated: 2026-10-08T04:22:07Z published: 2026-10-08T04:22:07Z canonical: "api.ncloud-docs.com/analytics-dataflow-getjobexecutionbyid" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getJobExecution Available in VPC Get job execution details. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/jobs/{jobId}/executions/{executionId} | ### Request headers For information about the request headers common to all Data Flow APIs, see [Data Flow request headers](/docs/en/analytics-dataflow#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `jobId` | String | Required | Job ID - See [getJobs](/docs/en/analytics-dataflow-getjobs). | | `executionId` | String | Required | Job execution ID - See [getJobExecutions](/docs/en/analytics-dataflow-getjobexecutions). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://dataflow.apigw.ntruss.com/api/v1/jobs/gqigvH******/executions/fKE22J******' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `jobExecutionId` | String | - | Job execution ID | | `jobId` | String | - | Job ID | | `jobCondition` | Object | - | Job execution option information | | `jobCondition.numWorker` | Integer | - | Number of workers - 2-10 | | `jobCondition.timeout` | Integer | - | Execution timeout (minute) - 1-1440 | | `jobCondition.nrn` | String | - | NAVER Cloud Platform resource identification value for job | | `jobCondition.scriptPath` | String | - | Job execution script storage path | | `jobCondition.logPath` | String | - | Job execution history storage path | | `jobCondition.consoleLogPath` | String | - | Job execution console log storage path - Included after execution completes. | | `jobCondition.parameters` | Object | - | Job parameters applied to this execution - Key-value type string map | | `status` | String | - | Job execution status - `READY` \| `RUNNING` \| `COMPLETED` \| `FAILED` \| `CANCELLING` \| `CANCELLED` \| `TIMEOUT` - `READY`: Pending execution. - `RUNNING`: Running. - `COMPLETED`: Completed. - `FAILED`: Failed. - `CANCELLING`: Canceling. - `CANCELLED`: Canceled. - `TIMEOUT`: Execution time limit exceeded. | | `startDate` | String | - | Job execution date and time - ISO 8601 format (including UTC+9) | | `endDate` | String | - | Job end date and time - ISO 8601 format (including UTC+9) | | `createdDate` | String | - | Job creation date and time - ISO 8601 format (including UTC+9) | | `triggerId` | String | - | Trigger ID | | `triggerName` | String | - | Trigger name | | `jobName` | String | - | Job name | | `waitingTime` | Integer | - | Job wait time (minute) | | `executorNum` | Integer | - | Number of job workers | | `runningTime` | Integer | - | Job execution time (second) - `0` before execution ends. | | `type` | String | - | Job type - `JOB` \| `WORKFLOW` | ### Response status codes For information about the response status codes common to all Data Flow APIs, see [Data Flow response status codes](/docs/en/analytics-dataflow#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "jobExecutionId": "fKE22J******", "jobId": "5Yns7J******", "jobCondition": { "numWorker": 2, "timeout": 360, "nrn": "nrn:PUB:IAM::*******:Role/********", "scriptPath": "dataflow-2706412-****/scripts/", "logPath": "dataflow-2706412-****/sparkHistoryLogs/", "consoleLogPath": "dataflow-2706412-****/sparkHistoryLogs/console/5Yns7J******/fKE22J******_2025-03-21T11:12:56.log", "parameters": { "target_date": "2025-03-21", "input_path": "aitems/sales/", "output_format": "parquet" } }, "status": "COMPLETED", "startDate": "2025-03-21T11:12:54+09:00", "endDate": "2025-03-21T11:27:47+09:00", "createdDate": "2025-03-21T11:12:54+09:00", "triggerId": "8bjF7E******", "triggerName": "trigger002", "jobName": "daily_sales_job", "waitingTime": 830, "executorNum": 2, "runningTime": 14, "type": "WORKFLOW" } ```